Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.plugins
Class Plugins

    ru.biosoft.access.DataElementSupport
      |
      +--ru.biosoft.access.AbstractDataCollection
            |
            +--ru.biosoft.access.VectorDataCollection
                  |
                  +--ru.biosoft.plugins.Plugins

public class Plugins
extends VectorDataCollection

This class is used to show 'visible' plugins in plugins tab of repository pane.

To be shown in this tab plugin.xml should provide visible plugin extention point(s).

See Also: VisiblePlugin

Fields inherited from class ru.biosoft.access.VectorDataCollection
`INITIAL_SIZE`

Method Summary
`void` | `close()`
`Class` | `getDataElementType()`
`static DataCollection` | `getPlugins()`
`void` | `init()`

Methods inherited from class ru.biosoft.access.VectorDataCollection
`getAt, getNameList, getSize, iterator, put, toArray`

Methods inherited from class ru.biosoft.access.AbstractDataCollection
`addDataCollectionListener, contains, contains, get, getCompleteName, getDescription, getInfo, isMutable, isNotificationEnabled, isPropagationEnabled, propagateElementChanged, propagateElementWillChange, release, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled, toString`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Method Detail

### close

    public void close()
                throws java.lang.Exception

### getDataElementType

    public Class getDataElementType()

### getPlugins

    public static DataCollection getPlugins()

### init

    public void init()

Association Links

to Class org.apache.log4j.Category

to Class ru.biosoft.access.DataCollection

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM